using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BulletBehavior : MonoBehaviour {

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
        gameObject.transform.position += 25.0f * Time.smoothDeltaTime * gameObject.transform.forward;
    }

    private void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.name.Equals("FPSController"))
            other.gameObject.GetComponentInChildren<BulletCounter>().takeBullet();
    }
}
